import { loginName, password, examId, markerId } from "@/devLoginParams";

export async function initLogin() {
  if (document.cookie.includes("stmms_cookie")) return;
  const f = new FormData();
  f.append("loginType", "mark-login");
  f.append("loginName", loginName);
  f.append("password", password);

  return fetch("/login", { body: f, method: "POST" })
    .then(async (r) => console.log(r))
    .then(() => {
      const f = new FormData();
      f.append("examId", examId);
      f.append("markerId", markerId);

      return fetch("/mark/subject-select", { body: f, method: "POST" });
    });
  // .then(() => {
  //   console.log("login completed");
  //   return fetch("/mark/status");
  // })
  // .then(async (r) => {
  //   console.log(await r.json());
  //   return fetch("/mark/gettask");
  // })
  // .then(async (r) => {
  //   console.log(await r.json());
  // });
}
